/**
 * Vue File Uploader 组件入口文件
 * 支持 Vue 2.x 和 Vue 3.x
 */
import type { App } from '@vue/runtime-core';
import FileUploader from './components/FileUploader.vue';
import type { FileUploaderProps, UploadFile, UploadStatus } from './types';
export { FileUploader };
export type { FileUploaderProps, UploadFile, UploadStatus };
declare const _default: {
    install: (app: App<any>) => void;
    FileUploader: DefineComponent<{}, {}, any>;
};
export default _default;
export * from './types';
declare global {
    interface Window {
        Vue?: App;
    }
}
